hpp-corbaserver: hpp.corbaserver.robot.HumanoidRobot Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Public Member Functions | List of all members
hpp.corbaserver.robot.HumanoidRobot Class Reference
Inheritance diagram for hpp.corbaserver.robot.HumanoidRobot:
[legend]
Collaboration diagram for hpp.corbaserver.robot.HumanoidRobot:
[legend]

## Public Member Functions
| __init__ (self, robotName=None, rootJointType=None, load=True, client=None, hppcorbaClient=None)
| loadModel (self, robotName, rootJointType)
Public Member Functions inherited from hpp.corbaserver.robot.Robot
| rebuildRanks (self)
| urdfSrdfFilenames (self)
| urdfSrdfString (self)
| urdfPath (self)
| srdfPath (self)
| getConfigSize (self)
| getNumberDof (self)
| getJointNames (self)
| getJointTypes (self)
| getAllJointNames (self)
| getParentFrame (self, frameName)
| getChildFrames (self, frameName, recursive=False)
| getParentJoint (self, jointName)
| getChildJoints (self, jointName, recursive=False)
| getJointPosition (self, jointName)
| getRootJointPosition (self)
| setRootJointPosition (self, position)
| setJointPosition (self, jointName, position)
| getCurrentTransformation (self, jointName)
| getJointNumberDof (self, jointName)
| getJointConfigSize (self, jointName)
| setJointBounds (self, jointName, inJointBound)
| getJointBounds (self, jointName)
| getSaturated (self, q)
| getLinkPosition (self, linkName)
| getLinkNames (self, jointName)
| setCurrentConfig (self, q)
| getCurrentConfig (self)
| setCurrentVelocity (self, v)
| getCurrentVelocity (self)
| shootRandomConfig (self)
| getJointInnerObjects (self, jointName)
| getJointOuterObjects (self, jointName)
| getObjectPosition (self, objectName)
| removeObstacleFromJoint (self, objectName, jointName)
| isConfigValid (self, cfg)
| configIsValid (self, cfg)
| distancesToCollision (self)
| getRobotAABB (self)
| getMass (self)
| getCenterOfMass (self)
| getJacobianCenterOfMass (self)
Public Member Functions inherited from hpp.corbaserver.robot.StaticStabilityConstraintsFactory
| createSlidingStabilityConstraint (self, prefix, comName, leftAnkle, rightAnkle, q0)
| createStaticStabilityConstraint (self, prefix, comName, leftAnkle, rightAnkle, q0, maskCom=(True,) *3)
| createAlignedCOMStabilityConstraint (self, prefix, comName, leftAnkle, rightAnkle, q0, sliding)

## Additional Inherited Members
Public Attributes inherited from hpp.corbaserver.robot.Robot
| client
| hppcorba
| name
| rootJointType
| displayName
| jointNames
| allJointNames
| rankInConfiguration
| rankInVelocity
| childFrames
| parentJoint
| childJoints
| urdfString
Protected Member Functions inherited from hpp.corbaserver.robot.Robot
| _computeKinematicChain (self)
Protected Member Functions inherited from hpp.corbaserver.robot.StaticStabilityConstraintsFactory
| _getCOM (self, com)

## Constructor & Destructor Documentation

## ◆ __init__()

hpp.corbaserver.robot.HumanoidRobot.__init__ | ( |  | self,
|  |  | robotName = `None`,
|  |  | rootJointType = `None`,
|  |  | load = `True`,
|  |  | client = `None`,
|  |  | hppcorbaClient = `None`
| ) |  |

Reimplemented from hpp.corbaserver.robot.Robot.

## Member Function Documentation

## ◆ loadModel()

hpp.corbaserver.robot.HumanoidRobot.loadModel | ( |  | self,
|  |  | robotName,
|  |  | rootJointType
| ) |  |

Reimplemented from hpp.corbaserver.robot.Robot.

The documentation for this class was generated from the following file:

- src/hpp/corbaserver/robot.py